﻿.toggleobject {
    border-radius: 30px;
    width: 100%;
    height: 100%;
    border: 1px solid black;
    font-family: sans-serif;
    font-size: 8px;
    font-weight: 400;
}

.ToggleTextLeft {
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
    width: 60%;
    height: 80%;
    margin-left: -56%;
    border: 0px solid black;
    vertical-align: middle;
    justify-content: right;
    align-items: center;
    padding-right: 3%;
    transition: 0.5s;
    display: flex;
    opacity: 0;
    pointer-events: none;    
}

.ToggleDot {
    top: 50%;
    margin-left: 4%;
    transform: translateY(-50%);
    position: absolute;
    width: 38%;
    height: 80%;
    border-radius: 50%;
    border: 1px solid black;
    transition: 0.5s;
    
}

.ToggleTextRight {
    top: 50%;
    transform: translateY(-50%);
    margin-left: 42%;
    position: absolute;
    width: 60%;
    height: 80%;
    border: 0px solid red;
    display: flex;
    justify-content: left;
    align-items: center;
    padding-left: 3%;
    transition: 0.5s;
    opacity: 1;
}

.toggletoggled .ToggleTextLeft {
    opacity: 1;
    margin-left: -4%;
    transition: 0.5s;
}

.toggletoggled .ToggleDot {
    margin-left: 56%;
    transition: 0.5s;
}

.toggletoggled .ToggleTextRight {
    margin-left: 94%;
    transition: 0.5s;
    opacity: 0;
    pointer-events: none;
}